//
// Sample program: strings1.sc
//
// demo: strlen, strcmp, fillz, bin2azstr, w2azhexstr, byte2azstr
//
// (C) Copyright 1998, David Moore.
//


#include "jxlib.sh"


module test;

  declare;
     byte stk[1023];
     byte stktop;

     byte task1name "task_1\0";

     byte msg "Hello World\n\0";

     long tid;

     long sts;
     byte bsts;

     byte str1 "Hello World\0";
     byte str2 "Hello World\0";
     byte str3 "World Hello\0";
     byte str4 "This is a longer string\0";

     byte msg_eq "Strings match\n\0";
     byte msg_neq "Strings different\n\0";

     
     byte strsz "String size = ";
     byte strsz2[11];

     public proc main( void );
     public proc main_cli( void );
     public proc task1( void );
  
  enddeclare;

  public proc main( void );

     tid = lib_taskcreate( ptr task1, ptr stktop, 21, ptr task1name );

  endproc;



  public proc main_cli( void );
  endproc;



  public proc task1( void );

    sts = lib_strcmp( ptr str1, ptr str2 );
    if( sts = 1 );
       lib_write( ptr msg_eq );
    endif;

    if( sts = 0 );
       lib_write( ptr msg_neq );
    endif;


    sts = lib_strcmp( ptr str1, ptr str3 );
    if( sts = 1 );
      lib_write( ptr msg_eq );
    endif;

    if( sts = 0 );
       lib_write( ptr msg_neq );
    endif;

    // write 32 bit value
    sts = lib_strlen( ptr str4 );
    lib_bin2azstr( sts, ptr strsz2 );
    lib_write( ptr strsz );

    lib_scrollup( 1 );


    // write a word size value
    lib_fillz( ptr strsz2, 11 );
    lib_w2azhexstr( sts, ptr strsz2 );
    lib_write( ptr strsz );
    lib_scrollup( 1 );

    // cast long into byte for byte2azstr below
    bsts = sts;

    // write byte value
    lib_fillz( ptr strsz2, 11 );
    lib_byte2azstr( bsts, ptr strsz2 );
    lib_write( ptr strsz );
    lib_scrollup( 4 );

    lib_taskdeletev();

  endproc;    



endmodule;

 
