//
// Sample program: time1.sc
//
// time1.sc : Measure elapsed time.
//
// (C) Copyright 1998, David Moore.
//


#include "jxlib.sh"


module test;

  declare;
     byte stk[1023];
     byte stktop;

     byte task1name "task_1\0";

     long tid;
     long eltime;
     byte tmgo "Start timer\n\0";
     byte tmst "Stopped timer\n\0";

     byte eltm "Elapsed time (1/100ths) ";
     byte eltmx[12];

     public proc main( void );
     public proc main_cli( void );
     public proc task1( void );
  
  enddeclare;

  public proc main( void );

     tid = lib_taskcreate( ptr task1, ptr stktop, 21, ptr task1name );

  endproc;



  public proc main_cli( void );
  endproc;



  public proc task1( void );

    lib_write( ptr tmgo );

    lib_elstart();

    // sleep for 5 seconds
    lib_sleep( 500 );

    eltime = lib_elstop();

    lib_write( ptr tmst );

    lib_bin2azstr( eltime, ptr eltmx );
    lib_write( ptr eltm );


    lib_taskdeletev();

  endproc;    



endmodule;

 
